local game = require 'game'
local menu = {}
-- local highscore = require 'highscore'
Gamestate = require 'gamestate'
-- world_width, world_height = 
function love.load()
  love.graphics.setMode(800, 600, false, true, 0) --set the window dimensions to 650 by 650 with no fullscreen, vsync on, and no antialiasing
  love.graphics.setDefaultImageFilter('nearest','nearest')
  local hudFont = love.graphics.newImageFont('gfx/kromagrad_16x16.png', ' !"`~%\\\'()*+,-./0123456789:;<=>?@abcdefghijklmnopqrstuvwxyz')
  love.graphics.setFont(hudFont)
  Gamestate.registerEvents()
  Gamestate.switch(menu)
  love.mouse.setVisible(false)
  selectedState = game
  menuStates = {game}
end

function menu:enter()
end

function menu:init()
  titleImg = love.graphics.newImage('gfx/title_screen.gif')
end

function game:quit()
  Gamestate.switch(menu)
end

function menu:keypressed(key)
  if key == 'up' then

  elseif key == 'down' then

  elseif key == 'return' or key == 'space' or key =='z' then
    Gamestate.switch(selectedState)
  elseif key == 'escape' then
    love.event.quit()
  elseif key == 'f' then
    love.graphics.toggleFullscreen()
  end
end

function menu:update(dt)
end

function menu:draw()
  local alpha = 255
  if math.floor(math.sin(love.timer.getTime()*5)) == -1 then
    alpha = 0
  end
  love.graphics.draw(titleImg,0,0)
  love.graphics.setColor(50,255,50,alpha)
  love.graphics.print('fart', 315, 400)
  love.graphics.setColor(255,255,255,alpha)
  love.graphics.print(' new game', 379, 400)
  love.graphics.setColor(255,255,255)
  love.graphics.scale(0.5)
  love.graphics.print('escape to quit', 48, 48)
end

